{% extends "base_ajax.html" %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/gritter/css/jquery.gritter.css' %}" rel="stylesheet" />
<link href="{% static 'css/fmm_modal.css' %}" rel="stylesheet" />
{% endblock extra_head %}

{% block content %}
<div class="panel panel-inverse miselector" data-sortable-id="table-basic-4" >
  <!-- begin panel-heading -->

  <div class="panel-heading ui-sortable-handle">
    <div class="panel-heading-btn">
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>  
      <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" ><i class="fa fa-redo"></i></a>      
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
    </div>
    <h4 class="panel-title">Lista de los UTP profile del sistema (velocidades del sistema UTP).</h4>
  </div>
  <!-- end panel-heading -->
  <!-- begin panel-body -->
  <div class="panel-body miselector">
    <!-- begin table-responsive -->
    <div class="m-b-10"> <a href="#modal-create" class="btn btn-sm btn-success" data-toggle="modal">Crear system profile</a></div>

    <div class="table-responsive">
      <table class="table" id="table_speeds">
        <thead>
          <tr>
            <th nowrap="">Id</th>
            <th nowrap="">Nombre</th>
            <th nowrap="">Nombre Limitation</th>
            <th nowrap="">Velocidad Bajada</th>
            <th nowrap="">Velocidad Subida</th>
            <th nowrap="">Disponible Provisión</th>
            <th nowrap="">Comentarios</th>
            <th nowrap="">Botones</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>


    </div>
    <!-- end table-responsive -->
  </div>
  <!-- end panel-body -->
</div>


<div class="modal fade" id="modal-create">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Crear System Profile UTP</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_modal"></div>
    
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="name">Nombre</label>
          <div class="col-md-8 col-sm-8">
            <input required class="form-control" minlength="3" maxlength="50" type="text" id="name" placeholder="Nombre del profile" data-parsley-required="true"/>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="limitation_name">Nombre Limitation</label>
          <div class="col-md-8 col-sm-8">
            <input required class="form-control" minlength="3" maxlength="50" type="text" id="limitation_name" placeholder="Nombre del limitation para el profile" data-parsley-required="true"/>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="cir">Velocidad de Bajada (Mbps)</label>
          <div class="col-md-8 col-sm-8">
            <input required class="form-control" type="number" id="download_speed" placeholder="velocidad de bajada" data-parsley-required="true"/>
          </div>
        </div>
         
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="cbs">Velocidad de Subida (Mbps)</label>
          <div class="col-md-8 col-sm-8">
            <input required class="form-control" type="number" id="upload_speed" placeholder="velocidad de subida" data-parsley-required="true"/>
          </div>
        </div>

<!--         <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="pir">Disponible para Provisionamiento</label>
          <div class="col-md-8 col-sm-8">
            <input type="checkbox" id="provisioning_available" name="provisioning_available" required="false"/>
          </div>
        </div> -->

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="description">Descripción</label>
          <div class="col-md-8 col-sm-8">
            <textarea class="form-control" id="description" rows="4" data-parsley-required="true" placeholder="Descripción"></textarea>
          </div>
        </div>

      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" onclick="newSpeed()">Crear profile</button>
      </div>
      </form>
    </div>
  </div>
</div>


<div class="modal fade" id="modal-provisioning">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Cambiar Provisionamiento</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_speed"></div>
        <div class="form-group row m-b-15">

          <div class="col-md-4 col-sm-4 col-form-label" for="nameprov">Nombre en RADIUS</div>
          <div class="col-md-8 col-sm-8">
            <div id="nameprov"></div>
          </div>
        </div>
        <div class="form-group row m-b-15">            
          <label class="col-md-4 col-sm-4 col-form-label" for="provisionamiento_check">Disponibilidad para Provisionamiento</label>
          <div class="col-md-8 col-sm-8">
            <input type="checkbox" name="provisionamiento_check" id="provisionamiento_check" value="true"><br>
            <div id="error_olt_speed"></div>
          </div>
          <input type="hidden" id="id_olt_speed">
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" onclick="speedUtpProvisioningChange()">Guardar</button>
      </div>
      </form>
    </div>
  </div>
</div>
{% endblock content %}    

{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'scripts/utp_speeds_list.js' %}"></script>
{% endblock extra_js %}
